#ifndef TITLEBAR_H
#define TITLEBAR_H

#include "framelesstitlebar.h"
#include <QMainWindow>

#include <QPushButton>

class TitleBar : public FramelessTitleBar, public QWidget
{
    Q_OBJECT
public:
    TitleBar(QMainWindow* parent);

    void setTitleBarBgColor(const QColor& color);

    QPushButton* menuButton;
protected:
    void paintEvent(QPaintEvent *);

    void resizeEvent(QResizeEvent* e);

private:
    void initUI();
};

#endif // TITLEBAR_H
